[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: OpenLdap v2 & v3 compatibility

At 09:08 AM 2001-10-18, Andy Walshe wrote:

>I have 2 separate Solaris machines;
>one running OpenLDAP-1.2.8 with Berkeley db-2.2.7
>the other Openldap-2.0.11 with Berkeley db-3.2.9
>My question is is it possible to run both directory servers on the 1

yes.  one can install many versions of OpenLDAP on one
system... one just needs to keep it and dependences straight
(static linking makes this easier).

>i.e. does Openldap-2.0.11 slapd support both versions of ldap?

That's a different question.  OpenLDAP 2 supports both LDAPv3
and LDAPv2.

>(I want to run 2 instances of slapd with separate databases)

You can do this.

>I presume I can get around this by building both openldap versions and
>running them from the build directories on the 1 machine.